/**
 * The MIT License (MIT)
 * Copyright (c) 2017-present Dmitry Soshnikov <dmitry.soshnikov@gmail.com>
 */

'use strict';

var ScriptParser = require('./generated/script-parser-gen');
var fs = require('fs');

Object.assign(ScriptParser, {
  /**
   * Parses script file.
   */
  parseFile: function parseFile(filePath, options) {
    return this.parse(fs.readFileSync(filePath, 'utf-8'), options);
  }
});

module.exports = ScriptParser;